WCF mit installiertem Imagick installieren

  • Code
    2016/05/09 21:26:03 [error] 25811#25811: *121 FastCGI sent in stderr: "PHP message: PHP Fatal error:  Call to undefined function wcf\system\image\adapter\imageCreateFromPng() in /var/www/feedback.ify.re/wcf/lib/system/image/adapter/GDImageAdapter.class.php on line 88" while reading response header from upstream, client: *********, server: feedback.ify.re, request: "POST /wcf/acp/index.php?install-package/&t=**********&s=************ HTTP/1.1", upstream: "fastcgi://unix:/var/run/php5-fpm.sock:", host: "feedback.ify.re", referrer: "https://feedback.ify.re/wcf/acp/index.php?s=**********&action=WCFSetup"


    Ist es nicht möglich, das WCF mit installiertem Imagick zu installieren? Muss ich echt GD haben? :( Im ACP lässts sichs ja später umstellen...

  • ImageMagick steht auf weit weniger Systemen zur Verfügung, als GD. Aber du weißt schon, dass du das im ACP umstellen kannst? Ansonsten verstehe ich die Frage nicht :D

  • Was hat das damit zu tun?
    Das Problem ist, dass zwingend auf eine GD-Funktion zurückgegriffen wird. Genauso wie man es im ACP umstellen kann, sollte die Installation erst prüfen, wenn die GD-Funktion nicht vorhanden ist, ob ImageMagick installiert und nutzbar ist und damit die entsprechende Ausführung starten, statt direkt einen Fehler zu werfen.

  • Bin gerade auf einer größtenteils frischen Ubuntu-Installation auf das gleiche Problem gestoßen. Das Problem ist meiner Meinung nach, dass gdlib als "Empfohlene Systemvoraussetzung" gelistet ist und nicht als "Benötigte Systemvoraussetzung". Ich hatte es nicht installiert, während der Installation von WCF kam ein Fehler, durch den das ganze Ding unbrauchbar wurde. Wenn unausweichlich auf Funktionen in dieser Bibliothek zugegriffen wird, sollten sie als benötigt gelistet werden.

  • Duplikat von WCF ohne GD-Bibliothek

    Sicher, dass das das gleiche Thema ist? Hier geht es darum, dass sich WBB ohne GD nicht installieren lässt, GD aber dennoch als "optionale Abhängigkeit" aufgelistet ist. In dem verlinkten Thread geht es um ein Problem beim Exception-Handling mit PHP7. Wenn ich es richtig erkenne, tritt das Exception-Handling Problem auf, weil auch er versucht WBB ohne GD zu installieren, aber der Fehler im Exception-Handling (der mit PR 2024 behoben wurde) hat damit eigentlich nichts zu tun.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!